Subject: bug#50665: Docker 19.03 is no longer receiving updates.

From: Maxim Cournoyer <[email-masked]>
Date: Wed, 22 Sep 2021 23:47:33 -0400

Hello!

Sarah Morgensen <[email-masked]> writes:

> Hello Guix,
>
> Docker 19.03 (the version we have) is expected to receive no further
> updates [0], and currently depends on Go 1.14 to build, which has also
> reached EOL.
>
> Is anyone up to the task of updating the Docker behemoth?
>
> [0] https://github.com/moby/moby/pull/41381#issuecomment-876982431

Last I tried, I got stuck on go-protobuf, which required go modules to
build.  I hope I got lost and that this isn't the case that, but
otherwise it'd be blocked by adding 'go modules' support in our go build
system.

Maxim